# threshold.c File Reference

`#include "magick/studio.h"`
`#include "magick/property.h"`
`#include "magick/blob.h"`
`#include "magick/cache-view.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace.h"`
`#include "magick/configure.h"`
`#include "magick/constitute.h"`
`#include "magick/decorate.h"`
`#include "magick/draw.h"`
`#include "magick/enhance.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/effect.h"`
`#include "magick/fx.h"`
`#include "magick/gem.h"`
`#include "magick/geometry.h"`
`#include "magick/image-private.h"`
`#include "magick/list.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/montage.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantize.h"`
`#include "magick/quantum.h"`
`#include "magick/random_.h"`
`#include "magick/resize.h"`
`#include "magick/resource_.h"`
`#include "magick/segment.h"`
`#include "magick/shear.h"`
`#include "magick/signature.h"`
`#include "magick/string_.h"`
`#include "magick/transform.h"`
`#include "magick/threshold.h"`
`#include "magick/option.h"`
`#include "magick/xml-tree.h"`

## Data Structures

struct | _ThresholdMap

## Defines

#define | ThresholdsFilename "thresholds.xml"
#define | ThresholdImageTag "Threshold/Image"
#define | ThresholdImageTag "Threshold/Image"
#define | ThresholdImageTag "Threshold/Image"
#define | DitherImageTag "Dither/Image"
#define | ThresholdImageTag "Threshold/Image"
#define | ThresholdImageTag "Threshold/Image"

## Functions

MagickExport Image * | AdaptiveThresholdImage (const Image *image, const unsigned long width, const unsigned long height, const long offset, ExceptionInfo *exception)
MagickExport MagickBooleanType | BilevelImage (Image *image, const double threshold)
MagickExport MagickBooleanType | BilevelImageChannel (Image *image, const ChannelType channel, const double threshold)
MagickExport MagickBooleanType | BlackThresholdImage (Image *image, const char *threshold)
MagickExport ThresholdMap * | DestroyThresholdMap (ThresholdMap *map)
MagickExport ThresholdMap * | GetThresholdMapFile (const char *xml, const char *filename, const char *map_id, ExceptionInfo *exception)
MagickExport ThresholdMap * | GetThresholdMap (const char *map_id, ExceptionInfo *exception)
MagickBooleanType | ListThresholdMapFile (FILE *file, const char *xml, const char *filename, ExceptionInfo *exception)
MagickExport MagickBooleanType | ListThresholdMaps (FILE *file, ExceptionInfo *exception)
MagickExport MagickBooleanType | OrderedDitherImage (Image *image)
MagickExport MagickBooleanType | OrderedDitherImageChannel (Image *image, const ChannelType channel, ExceptionInfo *exception)
MagickExport MagickBooleanType | OrderedPosterizeImage (Image *image, const char *threshold_map, ExceptionInfo *exception)
MagickExport MagickBooleanType | OrderedPosterizeImageChannel (Image *image, const ChannelType channel, const char *threshold_map, ExceptionInfo *exception)
MagickExport MagickBooleanType | RandomThresholdImage (Image *image, const char *thresholds, ExceptionInfo *exception)
MagickExport MagickBooleanType | RandomThresholdImageChannel (Image *image, const ChannelType channel, const char *thresholds, ExceptionInfo *exception)
MagickExport MagickBooleanType | WhiteThresholdImage (Image *image, const char *threshold)

## Define Documentation

#define DitherImageTag "Dither/Image"

#define ThresholdImageTag "Threshold/Image"

#define ThresholdImageTag "Threshold/Image"

#define ThresholdImageTag "Threshold/Image"

#define ThresholdImageTag "Threshold/Image"

#define ThresholdImageTag "Threshold/Image"

#define ThresholdsFilename "thresholds.xml"

## Function Documentation

MagickExport Image* AdaptiveThresholdImage | ( | const Image * | image,
|  | const unsigned long | width,
|  | const unsigned long | height,
|  | const long | offset,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType BilevelImage | ( | Image * | image,
|  | const double | threshold |
| ) |  |  |

MagickExport MagickBooleanType BilevelImageChannel | ( | Image * | image,
|  | const ChannelType | channel,
|  | const double | threshold |
| ) |  |  |

MagickExport MagickBooleanType BlackThresholdImage | ( | Image * | image,
|  | const char * | threshold |
| ) |  |  |

MagickExport ThresholdMap* DestroyThresholdMap | ( | ThresholdMap * | map | ) |

MagickExport ThresholdMap* GetThresholdMap | ( | const char * | map_id,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport ThresholdMap* GetThresholdMapFile | ( | const char * | xml,
|  | const char * | filename,
|  | const char * | map_id,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickBooleanType ListThresholdMapFile | ( | FILE * | file,
|  | const char * | xml,
|  | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType ListThresholdMaps | ( | FILE * | file,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType OrderedDitherImage | ( | Image * | image | ) |

MagickExport MagickBooleanType OrderedDitherImageChannel | ( | Image * | image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType OrderedPosterizeImage | ( | Image * | image,
|  | const char * | threshold_map,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType OrderedPosterizeImageChannel | ( | Image * | image,
|  | const ChannelType | channel,
|  | const char * | threshold_map,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType RandomThresholdImage | ( | Image * | image,
|  | const char * | thresholds,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType RandomThresholdImageChannel | ( | Image * | image,
|  | const ChannelType | channel,
|  | const char * | thresholds,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType WhiteThresholdImage | ( | Image * | image,
|  | const char * | threshold |
| ) |  |  |